import davtelepot

from .messages import elevation_messages


async def elevate_to_admin(bot: davtelepot.bot.Bot, language: str, user_record: dict):
    if len(bot.administrators) < 1:
        user_record['privileges'] = 1
        bot.db['users'].upsert(
            user_record,
            ['id']
        )
        return bot.get_message('elevation', 'granted', language=language)
    return bot.get_message('elevation', 'denied', language=language)


def init(telegram_bot: davtelepot.bot.Bot):
    telegram_bot.messages['elevation'] = elevation_messages

    @telegram_bot.command(command='elevate',
                          authorization_level='everybody')
    async def _elevate_to_admin(bot, language, user_record):
        return await elevate_to_admin(bot=bot, language=language, user_record=user_record)